%define release 6mdk
%define version 0.2.3
%define kde1dir %{_libdir}/kde1-compat
%define name klilo

Name: %{name}
Summary: KDE configuration applet for the lilo bootloader
Version: %{version}
Release: %{release}
Source:  %{name}-%{version}.tar.bz2
Source1: icons-%{name}.tar.bz2
Group: System/Configuration/Boot and Init
Copyright: GPL
BuildRoot: %_tmppath/%{name}-root
Requires: qt kdelibs
ExclusiveArch: i386 i486 i586 i686 k6 k7
Patch: klilo-makefile-fixes.patch.bz2

%description
KDE configuration applet for the lilo bootloader popular on free Unix based
systems.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}
%patch -p1

%build
export KDEDIR=%{kde1dir}
CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{kde1dir} --exec-prefix=%{kde1dir} --disable-rpath
%make

%install
rm -rf $RPM_BUILD_ROOT
export KDEDIR=$RPM_BUILD_ROOT%{kde1dir}

make prefix=$RPM_BUILD_ROOT%{kde1dir} \
exec_prefix=$RPM_BUILD_ROOT%{kde1dir} \
kde_bindir=$RPM_BUILD_ROOT%{kde1dir}/bin \
kde_appsdir=$RPM_BUILD_ROOT%{kde1dir}/share/applnk \
kde_htmldir=$RPM_BUILD_ROOT%{_docdir}/kde1/HTML \
kde_datadir=$RPM_BUILD_ROOT%{kde1dir}/share/apps \
bindir=$RPM_BUILD_ROOT%{_bindir} \
kde_icondir=$RPM_BUILD_ROOT%{_iconsdir} \
kde_minidir=$RPM_BUILD_ROOT%{_miconsdir} install


#mdk menu
mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF >$RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(klilo): command="klilo" icon="klilo.xpm" needs="x11" title="KLILO" section="Configuration/Boot and Init" longtitle="Graphical frontend to LILO (LInux LOader) configuration"
EOF

#mdk icons
install -d $RPM_BUILD_ROOT%{_iconsdir}
tar xIvf %{SOURCE1} -C $RPM_BUILD_ROOT%{_iconsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root,755)
%doc %{_docdir}/kde1/HTML/*/*
%{_bindir}/*
%{_menudir}/*           
#%kde1dir/share/locale/*
%{_iconsdir}

%changelog
* Mon Oct 09 2000 Montel Laurent <lmontel@mandrakesoft.com> 0.2.3-6mdk
- remove mimetype and internationalisation

* Sat Oct 07 2000 Daouda Lo <daouda@mandrakesoft.com> 0.2.3-5mdk
- fix icons & menu embedded.

* Tue Aug 22 2000 Vincent Saugey <vince@mandrakesoft.com> 0.2.3-4mdk
- BM + macroszification
- kde1-compat

* Wed Apr 05 2000 Francis Galiegue <fg@mandrakesoft.com> 0.2.3-3mdk

- Fixed group
- Changed menu entry
- Added --disable-rpath to ./configure

* Tue Mar 28 2000 Francis Galiegue <fg@mandrakesoft.com> 0.2.3-2mdk

- Icon
- Updated spec file
- Updated file list

* Thu Mar 16 2000 Francis Galiegue <francis@mandrakesoft.com> 0.2.3-1mdk

- 0.2.3
- spec file fixes
- Changed group to match 7.1 specs
- added menu entry

* Tue Jan 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.2.1-3mdk
- ExclusiveArch: i386 i486 i586 i686 k6 k7

* Thu Jan 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 
- Libtoolize --force.
- BuildRequires: egcs-c++

* Mon Nov 15 1999 Lenny Cartier <lenny@mandrakesfot.com>
- v0.2.1

* Thu Sep 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build for cooker

* Sun Aug 29 1999 Daniel M. Duley <mosfet@linuxmandrake.com>
Inital RPM.

